Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Jason Gunthorpe)
Date: Wed, 23 Oct 2013 12:02:40 -0600

On Wed, Oct 23, 2013 at 07:47:37PM +0200, Richard Cochran wrote:
> On Wed, Oct 23, 2013 at 11:29:55AM -0600, Jason Gunthorpe wrote:
> > 
> > I've seen that nebulous answer before. It is awfully vauge. Don't you
> > think a better, more excting answer is required to commit the kernel
> > community to such a huge amount of work+pain?
> > 
> > What users? What use cases? Who exactly?
> 
> Gimme a break. The use case I mentioned is not at all vague. It is
> about a specific a use case as you'll ever see.

I can rephrase your use case as wanting to boot kernels M > N where N
is the first working mainline kernel. I think we all want that.

But it doesn't concretely tie back to stable DTB as the only possible
solution. As you pointed out we could do this with board.c files.

In other words, I don't think it is a compelling justification.

> > Crucially: Does the above justify the huge effort on the kernel side?
> 
> The effort is no more or less than is required of every other kernel
> development.

Bollocks. User space API development is the single most difficult
thing to do in the kernel. It is much harder than any other change,
and stable ABI DT is elevated to *that* level. 

Regards,
Jason